//
//  CompanyInfo.m
//  R₂O
//
//  Created by Andy Balholm on 6/10/09.
//  Copyright 2009 Northland Graphics. All rights reserved.
//

#import "CompanyInfo.h"


@implementation CompanyInfo

- (void)encodeWithCoder:(NSCoder *)coder
{
  [coder encodeObject:name forKey:@"name"];
  [coder encodeObject:address forKey:@"address"];
  [coder encodeObject:city forKey:@"city"];
  [coder encodeObject:state forKey:@"state"];
  [coder encodeObject:zip forKey:@"zip"];
  [coder encodeObject:phone forKey:@"phone"];
  [coder encodeInt:standardLength forKey:@"standardLength"];
}

- (id)initWithCoder:(NSCoder *)coder
{
  self = [super init];
  if (self)
    {
      name = [[coder decodeObjectForKey:@"name"] retain];
      address = [[coder decodeObjectForKey:@"address"] retain];
      city = [[coder decodeObjectForKey:@"city"] retain];
      state = [[coder decodeObjectForKey:@"state"] retain];
      zip = [[coder decodeObjectForKey:@"zip"] retain];
      phone = [[coder decodeObjectForKey:@"phone"] retain];
      standardLength = [coder decodeIntForKey:@"standardLength"];
    }
  return self;
}

- (NSString *)name
{
  return name ? name : @"";
}

- (void)setName:(NSString *)n
{
  if (name != n)
    {
      [name release];
      name = [n copy];      
    }
}

- (NSString *)address
{
  return address ? address : @"";
}

- (void)setAddress:(NSString *)a
{
  if (address != a)
    {
      [address release];
      address = [a copy];
    }
}

- (NSString *)city
{
  return city ? city : @"";
}

- (void)setCity:(NSString *)c
{
  if (city != c)
    {
      [city release];
      city = [c copy];
    }
}

- (NSString *)state
{
  return state ? state : @"";
}

- (void)setState:(NSString *)s
{
  if (state != s)
    {
      [state release];
      state = [s copy];
    }
}

- (NSString *)zip
{
  return zip ? zip : @"";
}

- (void)setZip:(NSString *)z
{
  if (zip != z)
    {
      [zip release];
      zip = [z copy];
    }
}

- (NSString *)phone
{
  return phone ? phone : @"";
}

- (void)setPhone:(NSString *)p
{
  if (phone != p)
    {
      [phone release];
      phone = [p copy];
    }
}

- (int)standardLength
{
  return standardLength;
}

- (void)setStandardLength:(int)i
{
  standardLength = i;
}

- (void)dealloc
{
  [self setName:nil];
  [self setAddress:nil];
  [self setCity:nil];
  [self setState:nil];
  [self setZip:nil];
  [self setPhone:nil];
  
  [super dealloc];
}

@end
