//
//  WindowAndObjectController.h
//  R₂O
//
//  Created by Andy Balholm on 6/13/09.
//  Copyright 2009 Northland Graphics. All rights reserved.
//
// An NSWindowController that also implements some of the features of NSObjectController.

#import <Cocoa/Cocoa.h>


@interface WindowAndObjectController : NSWindowController 
{
  NSMutableArray * activeEditors;
  id content;
}

- (BOOL)windowShouldClose:(id)window;

// NSEditor protocol.
- (BOOL)commitEditing;
- (void)discardEditing;

// NSEditorRegistration protocol.
- (void)objectDidBeginEditing:(id)editor;
- (void)objectDidEndEditing:(id)editor;
- (BOOL)isEditing;

- (id)content;
- (void)setContent:(id)c;

@end
